Name:		kiran-control-panel
Version:	2.3.0
Release:        3
Summary:	Kiran Control Panel
Summary(zh_CN): Kiran桌面控制面板

License:    Mulan PSL v2
Source0:	%{name}-%{version}.tar.gz

Patch0001: 0001-refactor-network-temporarily-shield-the-network-plug.patch
Patch0002: 0002-build-pkgconfig-remove-useless-pkgconfig-file.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake >= 3.2
BuildRequires:  glib2-devel
BuildRequires:  upower-devel
BuildRequires:  zeromq-devel
BuildRequires:  libnotify-devel
BuildRequires:	pam-devel

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-linguist
BuildRequires:  kf5-networkmanager-qt-devel

BuildRequires:  kiran-log-qt5-devel
BuildRequires:  kiran-widgets-qt5-devel
BuildRequires:  kiran-qt5-integration-devel
BuildRequires:  kiran-qdbusxml2cpp
BuildRequires:  kiran-cc-daemon-devel

Requires: 	qt5-qtbase
Requires: 	qt5-qtx11extras
Requires: 	qt5-qtsvg
Requires:	qt5-qtmultimedia
Requires:	kf5-networkmanager-qt

Requires: 	kiran-log-qt5
Requires:	kiran-widgets-qt5
Requires:	kiran-qt5-integration
Requires:	kiran-system-daemon
Requires:	kiran-session-daemon

Requires:	glib2
Requires:	upower
Requires:	zeromq
Requires:	libnotify
Requires:	pam

%description
Kiran Control Panel

%package -n kiran-cpanel-launcher
Summary: Kiran control panel plugin launcher
Summary(zh_CN): kiran桌面控制面板启动器
BuildRequires:  gcc-c++
BuildRequires:  cmake >= 3.2
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-linguist
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  kiran-widgets-qt5-devel
BuildRequires:  glib2-devel
BuildRequires:  kiran-qt5-integration-devel

Requires: 	qt5-qtbase
Requires: 	qt5-qtx11extras
Requires: 	qt5-qtsvg
Requires: 	kiran-log-qt5
Requires:	kiran-widgets-qt5
Requires:	glib2
Requires:       kiran-qt5-integration

%description -n kiran-cpanel-launcher
%{summary}.

%package devel
Summary: Development files for kiran control panel plugin
%description devel
%{summary}.

%prep
%autosetup -p 1

%build
%{__mkdir} -p %{buildroot}
%cmake
make %{?_smp_mflags}

%install
%make_install

%files
#主面板
%dir %{_datadir}/kiran-control-panel
%{_bindir}/kiran-control-panel
%{_datadir}/kiran-control-panel/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*
%exclude %{_datadir}/kiran-control-panel/translations/kiran-cpanel-launcher*
%exclude %{_datadir}/applications/kiran-control-panel.desktop

#account
%{_sysconfdir}/kiran-cpanel-account/
%{_libexecdir}/kiran-avatar-editor
%{_datadir}/kiran-cpanel-account/*

#audio
%{_sysconfdir}/xdg/autostart/kiran-audio-status-icon.desktop
%{_bindir}/kiran-audio-status-icon
%{_datadir}/kiran-cpanel-audio/translations/*

#display
%{_datadir}/kiran-cpanel-display/translations/*

#mouse
%{_datadir}/kiran-cpanel-mouse/translations/*

#power
%{_datadir}/kiran-cpanel-power/translations/*

#system
%{_datadir}/kiran-cpanel-system/translations/*

%files -n kiran-cpanel-launcher
%{_bindir}/kiran-cpanel-launcher
%{_datadir}/kiran-control-panel/translations/kiran-cpanel-launcher*

%files devel
%dir %{_includedir}/kiran-control-panel
%{_includedir}/kiran-control-panel/*
%{_libdir}/pkgconfig/kiran-control-panel.pc

%clean
rm -rf %{buildroot}

%changelog
* Fri Jul 08 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-3
- KYOS-F: remove useless pkgconfig file

* Fri Jul 08 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-2
- KYOS-F: temporarily shield the network plugin

* Thu Jul 07 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-1
- KYOS-F: release kiran-control-panel 2.3

* Mon Jan 24 2022 longcheng <longcheng@kylinos.com.cn> - 2.2.0-2.kb3
- KYOS-B: fix(build): fix  incomplete type 'class QPainterPath' build

* Wed Jan 12 2022 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-2.kb2
- rebuild for KY3.4-5-KiranUI-2.2

* Wed Dec 29 2021 kpkg <kpkg@kylinos.com.cn> - 2.2.0-2.kb1
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 2.2.0-2
- Upgrade version number for easy upgrade

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-1.kb2
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-1.kb1
- rebuild for KY3.4-4-KiranUI-2.2

* Thu Dec 02 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.2.0-1
- KYBD: build for 2.2,changed required name to kiran-widgets-qt5

* Thu Dec 02 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.1-1.kb3
- KYBD: changed required name to kiranwidgets-qt5

* Thu Nov 04 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.1-1.kb2
- KYBD: changed license and requires

* Mon Nov 01 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.１-1.kb1
- KYOS-B: fixed the problem that the selected items in the sidebar display errors
- KYOS-F: draw sidebar border

* Tue Sep 14 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.1.kb1
- KYOS-F: launcher set LC_TIME to UTF-8 (#43747)

* Wed Jun 30 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-3.kb1
- KYOS-B: desktop file lacks keywords key allow loading 

* Wed Jun 16 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-2.kb1
- KYOS-B: update the sub function list display

* Thu Jun 10 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-1.kb1
- KYOS-B: fix stacking icons on the bottom panel of plugins

* Wed Jun 09 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 1.0.0-2.kb1
- KYOS-B: rename categorys

* Tue Jun 08 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 1.0.0-1.kb2
- KYOS-B: fix dependency name error

* Mon Jun 07 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 1.0.0-1.kb1
- Package init
